part of '../bmcommons.dart';

push(BuildContext context, Widget destination) {
  return Navigator.of(context).push(
    MaterialPageRoute(builder: (context) => destination),
  );
}

pushReplacement(BuildContext context, Widget destination) {
  return Navigator.of(context).pushReplacement(
    MaterialPageRoute(builder: (context) => destination),
  );
}

pushNamed(String name, BuildContext context) {
  return Navigator.of(context).pushNamed(name);
}

pushReplacementNamed(String name, BuildContext context) {
  return Navigator.of(context).pushReplacementNamed(name);
}

pushNamedAndRemoveStack(String name, BuildContext context) {
  return Navigator.of(context).pushNamedAndRemoveUntil(
    name,
    (route) => false,
  );
}

pop(BuildContext context) {
  return Navigator.of(context).pop();
}

pushAndRemoveStack(BuildContext context, Widget destination) {
  return Navigator.of(context).pushAndRemoveUntil(
    MaterialPageRoute(builder: (context) => destination),
    (route) => false,
  );
}
